# Class Histogram.Bin<K extends Comparable>

java.lang.Object
htsjdk.samtools.util.Histogram.Bin<K>

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Histogram<K extends Comparable>`

public static class Histogram.Bin<K extends Comparable> extends Object implements Serializable
Represents a bin in the Histogram.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Checks the equality of the bin by ID and value.
`K`
`getId()`
Gets the ID of this bin.
`double`
`getIdValue()`
`double`
`getValue()`
Gets the value in the bin.
`int`
`hashCode()`
`String`
`toString()`
Returns the String format for the value in the bin.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getId

public K getId()
Gets the ID of this bin.

### getValue

public double getValue()
Gets the value in the bin.

### toString

public String toString()
Returns the String format for the value in the bin.

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)
Checks the equality of the bin by ID and value.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getIdValue

public double getIdValue()